Commit b01edc94 authored by Arnaud Blanchard's avatar Arnaud Blanchard

Do not ry to chek if there is no check file in the directory

parent 30862e2f
......@@ -9,7 +9,7 @@
# In this respect, the user's attention is drawn to the risks associated with loading, using, modifying and/or developing or reproducing the software by the user in light of its specific status of free software,
# that may mean that it is complicated to manipulate, and that also therefore means that it is reserved for developers and experienced professionals having in-depth computer knowledge.
# Users are therefore encouraged to load and test the software's suitability as regards their requirements in conditions enabling the security of their systems and/or data to be ensured  and, more generally, to use and operate it in the same conditions as regards security.
# The fact that you are presently reading this means that you have had knowledge of the CeCILL v2.1 license and that you accept its terms.
# The fact that you are presently reading this means that you have had knowledge of the CeCILL v2.1 license and that you accept its terms.
#!/usr/bin/env bash #Use your $PATH to find bash
set -o errexit #Exit on first error
......@@ -23,15 +23,17 @@ echo
mkdir -p /tmp/blaar
#We make sure we respect the order of compilation in .gitmodules
cat .gitmodules | sed -n 's/.*path = //p' | while read project_path
do
do
project_name=$(basename $project_path)
echo "Check **$project_path**";
$project_path/check.sh &> /tmp/blaar/check_$project_name.log ||
{
echo "### Fail checking: '$project_path' ###"
cat /tmp/blaar/check_$project_name.log
echo
exit 1
}
done
type $project_path/check.sh &> /dev/null && { #Check existence
echo "Check **$project_path**";
$project_path/check.sh &> /tmp/blaar/check_$project_name.log ||
{
echo "### Fail checking: '$project_path' ###"
cat /tmp/blaar/check_$project_name.log
echo
exit 1
}
}
done
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment